# Class Album

java.lang.Object
com.codename1.facebook.FBObject
com.codename1.facebook.Album

public class Album extends FBObject
This class represents a Facebook Photo Object http://developers.facebook.com/docs/reference/api/album

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Album()`
  Empty Contructor
  `Album(Hashtable props)`
  Constructor with properties to initialize this album.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copy(Hashtable props)`
  copies the relevant values from the given hashtable
  `boolean`
  `equals(java.lang.Object o)`
  `int`
  `getCount()`
  Gets number of photos in this album
  `String`
  `getCover_photo()`
  Deprecated.
  `String`
  `getCoverPhoto()`
  Gets the cover photo URL of this album.
  `String`
  `getCreated_time()`
  Deprecated.
  `String`
  `getCreatedTime()`
  Gets created time.
  `String`
  `getDescription()`
  Gets description
  `User`
  `getFrom()`
  Gets the from User
  `String`
  `getLink()`
  Gets the link
  `String`
  `getLocation()`
  Gets the location
  `String`
  `getPrivacy()`
  Gets the privacy
  `String`
  `getType()`
  Gets the type
  `String`
  `getUpdated_time()`
  Deprecated.
  `String`
  `getUpdatedTime()`
  Gets updated time.
  `int`
  `hashCode()`

  ### Methods inherited from class FBObject

  `getId, getName, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Album

    public Album()
    Empty Contructor

  - ### Album

    public Album(Hashtable props)
    Constructor with properties to initialize this album.

- ## Method Details

  - ### getCount

    public int getCount()

    Gets number of photos in this album

    ###### Returns

    count

  - ### getCover_photo

    @Deprecated public String getCover_photo()
    Deprecated.

    Gets the cover photos url of this album

    ###### Returns

    cover_photo

    ###### Deprecated

    Use `#getCoverPhoto()`.

  - ### getCoverPhoto

    public String getCoverPhoto()

    Gets the cover photo URL of this album.

    ###### Returns

    cover photo URL

  - ### getCreated_time

    @Deprecated public String getCreated_time()
    Deprecated.

    Gets created_time

    ###### Returns

    created_time

    ###### Deprecated

    Use `#getCreatedTime()`.

  - ### getCreatedTime

    public String getCreatedTime()

    Gets created time.

    ###### Returns

    created time

  - ### getDescription

    public String getDescription()

    Gets description

    ###### Returns

    description

  - ### getFrom

    public User getFrom()

    Gets the from User

    ###### Returns

    from

  - ### getLink

    public String getLink()

    Gets the link

    ###### Returns

    link

  - ### getLocation

    public String getLocation()

    Gets the location

    ###### Returns

    location

  - ### getPrivacy

    public String getPrivacy()

    Gets the privacy

    ###### Returns

    privacy

  - ### getType

    public String getType()

    Gets the type

    ###### Returns

    type

  - ### getUpdated_time

    @Deprecated public String getUpdated_time()
    Deprecated.

    Gets the updated_time

    ###### Returns

    updated_time

    ###### Deprecated

    Use `#getUpdatedTime()`.

  - ### getUpdatedTime

    public String getUpdatedTime()

    Gets updated time.

    ###### Returns

    updated time

  - ### copy

    public void copy(Hashtable props)

    copies the relevant values from the given hashtable

    ###### Parameters

    - `props`: an hashtable to copy from
    Overrides:
      `copy` in class `FBObject`

  - ### equals

    public boolean equals(java.lang.Object o)
    Overrides:
      `equals` in class `FBObject`

  - ### hashCode

    public int hashCode()
    Description copied from class: `FBObject`
    Overrides:
      `hashCode` in class `FBObject`